package com.example.as_trak.base;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.util.Log;
import android.view.View;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

public  class BaseActivity extends AppCompatActivity {
    private MyScanCodeBroad myReceiver;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);


    }

    public void initScan() {
        myReceiver = new MyScanCodeBroad();
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("android.intent.ACTION_DECODE_DATA");
        registerReceiver(myReceiver, intentFilter);
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if (myReceiver!=null) unregisterReceiver(myReceiver);
    }

    private class MyScanCodeBroad extends BroadcastReceiver {
        @Override
        public void onReceive(Context context, Intent intent) {
            String value = intent.getStringExtra("barcode_string");
            Log.e("TAG", "onReceive:" + value);
            sanCodeResult(value);
        }
    }
    public  void sanCodeResult(String code){}

    public void titleToolClick(View view){
        finish();
    }
}
