package com.example.as_trak;

import androidx.appcompat.app.AppCompatActivity;
import androidx.databinding.DataBindingUtil;

import android.os.Bundle;

import com.example.as_trak.adapter.MyFragmentStateAdapter;
import com.example.as_trak.base.BaseActivity;
import com.example.as_trak.databinding.ActivityInfoBinding;
import com.google.android.material.tabs.TabLayoutMediator;

public class InfoActivity extends BaseActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
       ActivityInfoBinding binding=DataBindingUtil. setContentView(this,R.layout.activity_info);
       binding.viewPager2.setAdapter(new MyFragmentStateAdapter(this));
        //
        new TabLayoutMediator(binding.infoTabLayout,  binding.viewPager2, (tab, position) -> {
            switch (position) {
                case 0:
                    tab.setText("行李信息");
                    break;
                case 1:
                    tab.setText("航班信息");
                    break;

            }
        }).attach();
    }
}