package com.example.as_trak;

import androidx.appcompat.app.AppCompatActivity;
import androidx.databinding.DataBindingUtil;
import androidx.fragment.app.FragmentTransaction;

import android.os.Bundle;

import com.example.as_trak.base.BaseActivity;
import com.example.as_trak.databinding.ActivityUnLoadBinding;
import com.example.as_trak.fragment.LuggageFragment;

public class UnLoadActivity extends BaseActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityUnLoadBinding binding=DataBindingUtil.setContentView(this,R.layout.activity_un_load);

        LuggageFragment luggageFragment = new LuggageFragment();
        Bundle bundle = new Bundle();
        bundle.putString("data", "true");
        luggageFragment.setArguments(bundle);
        FragmentTransaction transaction = getSupportFragmentManager().beginTransaction();
        transaction.replace(R.id.un_load_frame, luggageFragment);
        transaction.commit();
    }
}