package com.example.as_trak.fragment.been;

import androidx.databinding.BaseObservable;

public class LuggageBeen extends BaseObservable {
    private String flightCode;

    /**
     * 起飞时间
     */
    private String takeoffTime;
    /**
     * 航班日期
     */
    private String takeoffDate;
    /**
     * 货箱号
     */
    private String cargoCode;
    /**
     * 顺序
     */
    private String orderNum;
    private String loadTime;
    private String State;
    private boolean visbleState = false;

    public boolean isVisbleState() {
        return visbleState;
    }

    public void setVisbleState(boolean visbleState) {
        this.visbleState = visbleState;
        notifyChange();
    }

    public String getState() {
        return State;
    }

    public void setState(String state) {
        State = state;
        notifyChange();
    }

    public String getFlightCode() {
        return flightCode;
    }

    public void setFlightCode(String flightCode) {
        this.flightCode = flightCode;
        notifyChange();
    }

    public String getTakeoffTime() {
        return takeoffTime;
    }

    public void setTakeoffTime(String takeoffTime) {
        this.takeoffTime = takeoffTime;
        notifyChange();
    }

    public String getTakeoffDate() {
        return takeoffDate;
    }

    public void setTakeoffDate(String takeoffDate) {
        this.takeoffDate = takeoffDate;
        notifyChange();
    }

    public String getCargoCode() {
        return cargoCode;
    }

    public void setCargoCode(String cargoCode) {
        this.cargoCode = cargoCode;
        notifyChange();
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
        notifyChange();
    }

    public String getLoadTime() {
        return loadTime;
    }

    public void setLoadTime(String loadTime) {
        this.loadTime = loadTime;
        notifyChange();
    }

    public void clear() {
        flightCode = null;
        takeoffTime = null;
        takeoffDate = null;
        cargoCode = null;
        orderNum = null;
        loadTime = null;
        notifyChange();
    }


}
